Lucene++ - a full-featured, c++ search engine
API Documentation

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- File List
- Globals

Data Structures | Namespaces | Macros
LuceneObject.h File Reference
`#include <boost/enable_shared_from_this.hpp>`
`#include "LuceneSync.h"`

Go to the source code of this file.

## Data Structures

class | Lucene::LuceneObject
| Base class for all Lucene classes. More...

## Namespaces

| Lucene

## Macros

#define | LUCENE_INTERFACE(Name)
#define | LUCENE_CLASS(Name)

## Macro Definition Documentation

#define LUCENE_CLASS | ( |  | Name | ) |

Value:
LUCENE_INTERFACE(Name); \
boost::shared_ptr<Name> shared_from_this() { return boost::static_pointer_cast<Name>(LuceneObject::shared_from_this()); } \
LUCENE_INTERFACE
#define LUCENE_INTERFACE(Name)
Definition: LuceneObject.h:19

#define LUCENE_INTERFACE | ( |  | Name | ) |

Value:
static String _getClassName() { return L###Name; } \
virtual String getClassName() { return L###Name; }

clucene.sourceforge.net